Create workspace
POST
Open a workspace in the tenant. It is active from the start.
Access: tenant_admin · API key workspaces:write
api-keyheader
AuthorizationBearer <sk_waylo_<lookup><secret><checksum>>application/json- body
name*stringLength
length <= 100externalId?|Length
length <= 100timezone?string|nullmetadata?Created
application/json- response
id*stringname*stringexternalId*string|nulltimezone*string|nullmetadata*active*booleanmemberCount*numbercreatedByUserId*|Format
uuidcreatedByUserName*string|nullupdatedByUserId*|Format
uuidupdatedByUserName*string|nullcreatedAt*stringFormat
date-timeupdatedAt*stringFormat
date-timecurl -X POST 'https://api.poc.app.waylovoice.ai/workspaces' \ -H 'Authorization: Bearer sk_waylo_...' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'Example Response
{ "id": "string", "name": "string", "externalId": "string", "timezone": "string", "metadata": {}, "active": true, "memberCount": 0, "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdByUserName": "string", "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e", "updatedByUserName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}